Last Comment Bug 309095 - Text in SVG does not show up
: Text in SVG does not show up
Status: RESOLVED FIXED
: fixed1.8, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: tor
: Hixie (not reading bugmail)
Mentors:
http://www.learnaholic.com/misc/svgbu...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 18:33 PDT by Cheong Tek Mun
Modified: 2005-09-26 14:41 PDT (History)
2 users (show)
mtschrep: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix baseline offset calculation for cairo (2.09 KB, patch)
2005-09-21 09:28 PDT, tor
alex: review+
mtschrep: approval1.8b5+
Details | Diff | Splinter Review

Description Cheong Tek Mun 2005-09-18 18:33:32 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

In Firefox 1.5 Beta 1 on Windows, the "Add Forum" text in SVG code is shown. 
However, in Firefox 1.5 Beta 1 on Linux, the text does not show up.

Reproducible: Always

Steps to Reproduce:
1. Unzip the attached zip file.
2. Open the file svgbug.xhtml.
3.

Actual Results:  
On Firefox 1.5 Beta 1 on Windows, the first image (SVG) is the same as the
second image (PNG).  On Firefox 1.5 Beta 1 on Linux, the first image (SVG) is
not the same as the third image (PNG).  The text "Add Forum" is missing.

Expected Results:  
The text "Add Forum" should be shown using Firefox 1.5 Beta 1 on Linux
Comment 1 tor 2005-09-21 09:28:42 PDT
Created attachment 196919 [details] [diff] [review]
fix baseline offset calculation for cairo
Comment 2 Alex Fritze 2005-09-26 03:41:48 PDT
Comment on attachment 196919 [details] [diff] [review]
fix baseline offset calculation for cairo

r=afri
I don't really know cairo (especially what signs it attaches to descent and
ascent), but this looks about right.
Comment 3 tor 2005-09-26 05:32:23 PDT
Checked in on trunk.
Comment 4 Mike Schroepfer 2005-09-26 14:23:36 PDT
Comment on attachment 196919 [details] [diff] [review]
fix baseline offset calculation for cairo

Approved per 9/26 bug triage meeting.
Comment 5 tor 2005-09-26 14:33:23 PDT
Checked in on branch.

Note You need to log in before you can comment on or make changes to this bug.